/*
 * This file is part of gms-client
 * Copyright (C) 2021 Istituto Nazionale di Astrofisica
 * SPDX-License-Identifier: GPL-3.0-or-later
 */
package it.inaf.ia2.gms.client.call;

import it.inaf.ia2.client.BaseCall;
import it.inaf.ia2.gms.client.GmsClient;
import java.net.URLEncoder;
import java.net.http.HttpRequest;
import java.net.http.HttpRequest.BodyPublishers;
import java.net.http.HttpResponse.BodyHandlers;
import java.nio.charset.StandardCharsets;

public class CreateGroupCall extends BaseCall<GmsClient> {

    public CreateGroupCall(GmsClient client) {
        super(client);
    }

    public boolean createGroup(String completeGroupName, boolean leaf) {

        HttpRequest groupsRequest = client.newRequest("group")
                .header("Accept", "text/plain")
                .header("Content-Type", "application/x-www-form-urlencoded")
                .POST(BodyPublishers.ofString(
                        "name=" + URLEncoder.encode(completeGroupName, StandardCharsets.UTF_8)
                        + "&leaf=" + leaf))
                .build();

        return client.call(groupsRequest, BodyHandlers.ofInputStream(), 201, res -> true);
    }
}
